/* styles.css */
#map { 
    background: #0f172a; 
}

.leaflet-container { 
    background: #0f172a !important; 
}

/* Westbound (Towards City) Glow */
.tram-glow {
    filter: drop-shadow(0 0 6px #38bdf8);
    transition: all 0.3s ease;
}

/* Eastbound (Towards Vermont South) Glow */
.tram-glow-orange {
    filter: drop-shadow(0 0 6px #fb923c);
    transition: all 0.3s ease;
}

/* Unknown/Calculating Glow */
.tram-glow-white {
    filter: drop-shadow(0 0 6px #ffffff);
    transition: all 0.3s ease;
}

/* Custom elegant scrollbar styling */
::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}
::-webkit-scrollbar-track {
    background: #090d16;
}
::-webkit-scrollbar-thumb {
    background: #1e293b;
    border-radius: 4px;
}
::-webkit-scrollbar-thumb:hover {
    background: #334155;
}